/**
 * 
 */
package org.richfaces.theme.images;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;


/**
 * @author asmirnov
 *
 */
public class ShadowBackgroundLeft extends BaseShadowGradient {

	
	public ShadowBackgroundLeft() {
		super(15, 15, 15,"panelBorderColor","headerBackgroundColor", false);
	}
	
	@Override
	protected void paintGradient(Graphics2D g2d, Data data) {
		ShadowData shadowData = (ShadowData) data;
		Dimension dimensions = getDimensions(null);
		if(null != shadowData.getShadowColor()){
			g2d.setColor(new Color(shadowData.getShadowColor()));
			g2d.fillRect(0, 0, (int) MARGIN, dimensions.height);
		}
		if(null != shadowData.getHeaderBackgroundColor()){
			g2d.setColor(new Color(shadowData.getHeaderBackgroundColor()));
			g2d.fillRect((int) MARGIN, 0, (int) (dimensions.width-MARGIN),  dimensions.height);
		}

	}
	/* (non-Javadoc)
	 * @see org.richfaces.theme.images.BaseShadowGradient#getShadowColor()
	 */
	@Override
	protected String getShadowColor() {
		return "shadowBackgroundColor";
	}

}
